@filter @list
Feature: Filters

  <% @formatter.get_fixture('providers/without_static').each do |provider| %>
  <% generate_get_path_scenarios_with_provider "Get list of #{provider} filters", "/v3/filter/#{provider}/images", provider do %>
    And the JSON response should be an array
  <% end %>
  <% end %>

  @openstack @ec2 @static
  Scenario: Get filter list of unknown provider
    When I send GET '/v3/filter/foo/images' query
    Then response should be '400'

  @openstack @ec2 @static
  Scenario: Get filter list of unknown provider without privileges
    When I send GET '/v3/filter/foo/images' query with user without privileges
    Then response should be '401'

